com.amazonaws.services.elastictranscoder.model

## Class UpdatePipelineNotificationsResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.elastictranscoder.model.UpdatePipelineNotificationsResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class UpdatePipelineNotificationsResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

The `UpdatePipelineNotificationsResponse` structure.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UpdatePipelineNotificationsResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UpdatePipelineNotificationsResult` `clone()`
`boolean` `equals(Object obj)`
`Pipeline` `getPipeline()` A section of the response body that provides information about the pipeline associated with this notification.
`int` `hashCode()`
`void` `setPipeline(Pipeline pipeline)` A section of the response body that provides information about the pipeline associated with this notification.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdatePipelineNotificationsResult` `withPipeline(Pipeline pipeline)` A section of the response body that provides information about the pipeline associated with this notification.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdatePipelineNotificationsResult

    public UpdatePipelineNotificationsResult()

### Method Detail

#### setPipeline

    public void setPipeline(Pipeline pipeline)

A section of the response body that provides information about the pipeline associated with this notification.

Parameters:
  `pipeline` - A section of the response body that provides information about the pipeline associated with this notification.

#### getPipeline

    public Pipeline getPipeline()

A section of the response body that provides information about the pipeline associated with this notification.

Returns:
  A section of the response body that provides information about the pipeline associated with this notification.

#### withPipeline

    public UpdatePipelineNotificationsResult withPipeline(Pipeline pipeline)

A section of the response body that provides information about the pipeline associated with this notification.

Parameters:
  `pipeline` - A section of the response body that provides information about the pipeline associated with this notification.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public UpdatePipelineNotificationsResult clone()

Overrides:
  `clone` in class `Object`